#pragma once

#include "QuantumGate.h"

class XQuantumGate : public OneInOneOutQuantumGate
{
public:
    GateType getGateType() const override
    {
        return GateType::X;
    }
};

class ZQuantumGate : public OneInOneOutQuantumGate
{
public:
    GateType getGateType() const override
    {
        return GateType::Z;
    }
};